function groupBy (array, key) {
    return array.reduce(function(rv, x) {
      (rv[x[key]] = rv[x[key]] || []).push(x);
      return rv;
    }, {});
  };
  
function merge(arr, mergeArr){
    return arr?.map((x, i) => { return { id: x, type: mergeArr[i] }; });
}

function find(array, key, value){
  let idx = array.findIndex(item => item[key] == value);
  return idx == -1 ? '' : array[idx];
}

export { groupBy, merge, find }