function create(elementType, attributes)
{
    let element = document.createElement(elementType);
    attributes.forEach(attribute => {
        element.setAttribute(attribute.name, attribute.value);
    });
    return element;
}

function wait(element){
    element.innerHTML = '<span class="lds-dual-ring icon block"></span>';
}

export { create, wait }

window.create = create;
window.wait = wait;