function secToTimeSpan(totalSeconds) {
    totalSeconds = Number(totalSeconds);
    let days = Math.floor(totalSeconds / (3600*24));
    let hours = Math.floor(totalSeconds % (3600*24) / 3600);
    let minutes = Math.floor(totalSeconds % 3600 / 60);
    let seconds = Math.floor(totalSeconds % 60);

    return `${days}d ${hours}:${(minutes < 10 ? `0${minutes}` : minutes)}:${(seconds < 10 ? `0${seconds}` : seconds)}`;
}

export { secToTimeSpan }

window.secToTimeSpan = secToTimeSpan;