function toggleAttrib(elementId, attribute)
{
    let element = document.getElementById(elementId);
    if (element) { element.toggleAttribute(attribute); }
}

function removeAttrib(elementId, attribute)
{
    let element = document.getElementById(elementId);
    if (element) { element.removeAttribute(attribute); }
}

function addAttrib(elementId, attribute)
{
    let element = document.getElementById(elementId);
    if (element) { element.setAttribute(attribute, ''); }
}

function setAttrib(elementId, attribute, value)
{
    let element = document.getElementById(elementId);
    if (element) { element.setAttribute(attribute, value); }
}

function getAttrib(elementId, attribute)
{
    let element = document.getElementById(elementId);
    if (element) { return element.getAttribute(attribute); }
}

export { toggleAttrib, removeAttrib, addAttrib, setAttrib, getAttrib }

window.toggleAttrib = toggleAttrib;
window.removeAttrib = removeAttrib;
window.addAttrib = addAttrib;
window.setAttrib = setAttrib;
window.getAttrib = getAttrib;